﻿using System;
using System.Linq;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.DataVisualization.Charting;

namespace ChartingIntroduction
{
    public partial class Page : UserControl
    {
        private CodeElementCollection _codeElementCollection;
        private ObservableCollection<double> _randomData = new ObservableCollection<double> { 1, 2, 3, 4 };
        private Random _rand = new Random();

        public Page()
        {
            InitializeComponent();

            _codeElementCollection = LayoutRoot.Resources["CodeElementCollection"] as CodeElementCollection;
            ((DataPointSeries)EasingDemonstration.Series[0]).ItemsSource = _randomData;
        }

        private void AddXamlStatistics_Click(object sender, RoutedEventArgs e)
        {
            _codeElementCollection.Add(new CodeElement { Name = "XAML", Lines = 100 });
        }

        private void ChangeCommentStatistics_Click(object sender, RoutedEventArgs e)
        {
            CodeElement commentCodeElement = _codeElementCollection.Where(element => element.Name == "Comments").First();
            commentCodeElement.Lines += 50;
        }

        private void RandomizeData_Click(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < _randomData.Count; i++)
            {
                _randomData[i] = (_rand.NextDouble() * 8) + 1;
            }
        }
    }
}
